Bug 195511 - lang/python33: Fix build with LibreSSL
Summary: lang/python33: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Bernard Spil
URL: https://reviews.freebsd.org/D4695
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-11-29 21:37 UTC by Bernard Spil
Modified: 2015-12-24 12:21 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
Patch for Makefile (523 bytes, patch)
2014-11-29 22:13 UTC, Bernard Spil
no flags Details | Diff
Single patch for this PR for the source tree (5.48 KB, patch)
2014-11-29 22:14 UTC, Bernard Spil
no flags Details | Diff
Build log (556.55 KB, text/x-log)
2014-11-29 22:14 UTC, Bernard Spil
no flags Details
Output of the test_ssl unit test (17.17 KB, text/x-log)
2014-11-29 22:15 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2014-11-29 21:37:29 UTC
Python fails to build with LibreSSL since RAND_egd has been removed from LibreSSL.

This is a backport of http://bugs.python.org/issue21356 which started as Bug 192511 - [patch] fix lang/python27 build with libressl
195508 - [PATCH] lang/python34 Fix build with LibreSSL

Generating a PR-number here, patch will follow shortly
Comment 1 Bugzilla Automation freebsd_committer 2014-11-29 21:37:29 UTC
Auto-assigned to maintainer python@FreeBSD.org
Comment 2 Bernard Spil freebsd_committer 2014-11-29 22:13:58 UTC
Created attachment 150002 [details]
Patch for Makefile

Primarily passes LDFLAGS and CPPFLAGS to configure otherwise it will not pick up OpenSSL/LibreSSL from ports
Comment 3 Bernard Spil freebsd_committer 2014-11-29 22:14:33 UTC
Created attachment 150003 [details]
Single patch for this PR for the source tree
Comment 4 Bernard Spil freebsd_committer 2014-11-29 22:14:54 UTC
Created attachment 150004 [details]
Build log
Comment 5 Bernard Spil freebsd_committer 2014-11-29 22:15:11 UTC
Created attachment 150005 [details]
Output of the test_ssl unit test
Comment 6 Bernard Spil freebsd_committer 2015-12-23 14:28:36 UTC
This is now handled in https://reviews.freebsd.org/D4695

  - Update to 3.3.6
  - Fix No-EGD
  - Fix no-SSLv3
Comment 7 commit-hook freebsd_committer 2015-12-24 12:07:26 UTC
A commit references this bug:

Author: brnrd
Date: Thu Dec 24 12:06:31 UTC 2015
New revision: 404347
URL: https://svnweb.freebsd.org/changeset/ports/404347

Log:
  lang/python33: Update to 3.3.6

    - Update to 3.3.6 (released 2014-10-11)
    - Backport issue21356 RAND_egd fix [1]
    - Fix build for openssl -nossl3
    - Remove unixcompiler patch, included upstream
    - Switch regression-test to TEST_TARGET/TEST_ARGS
    - Mark DEPRECATED, EXPIRES Sept 2017 [2]

  [1] http://bugs.python.org/issue21356
  [2] https://www.python.org/dev/peps/pep-0398/#lifespan

  This is a bug/security fix update. Changelog:

    https://docs.python.org/3.3/whatsnew/changelog.html#python-3-3-6

  PR:		195511
  Reviewed by:	koobs (mentor, python), feld, miwi, AMDmi3
  Approved by:	koobs (python), miwi, AMDmi3
  Differential_Revision:	https://reviews.freebsd.org/D4695

Changes:
  head/lang/python-doc-html/distinfo
  head/lang/python33/Makefile
  head/lang/python33/distinfo
  head/lang/python33/files/patch-Lib__distutils__unixccompiler.py
  head/lang/python33/files/patch-PR195511
  head/lang/python33/pkg-plist